Package org.apache.sysds.parser

# Enum Class BuiltinConstant

java.lang.Object
java.lang.Enum<BuiltinConstant>
org.apache.sysds.parser.BuiltinConstant

All Implemented Interfaces:
  `Serializable`, `Comparable<BuiltinConstant>`, `Constable`

public enum BuiltinConstant extends Enum<BuiltinConstant>
These are the builtin constants

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Inf`
`NaN`
`pi`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(String name)`
`DoubleIdentifier`
`get()`
`static BuiltinConstant`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BuiltinConstant[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Inf

public static final BuiltinConstant Inf

### NaN

public static final BuiltinConstant NaN

### pi

public static final BuiltinConstant pi

## Method Details

### values

public static BuiltinConstant[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BuiltinConstant valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public DoubleIdentifier get()

### contains

public static boolean contains(String name)